SQLProxyAuth (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rabbit.filter
Class SQLProxyAuth

    java.lang.Object
      rabbit.filter.SQLProxyAuth

All Implemented Interfaces:
  HttpFilter

    public class SQLProxyAuth

extends Object
implements HttpFilter

This is a filter that requires users to use proxy-authentication, using users in a sql table. Will read the following parameters from the config file:

- driver
- url
- user
- password
- select

Author:
  Robert Olofsson

Constructor Summary
`SQLProxyAuth()`

Method Summary
`HttpHeader` | `doHttpInFiltering(SocketChannel socket, HttpHeader header, Connection con)` test if a socket/header combination is valid or return a new HttpHeader.
`HttpHeader` | `doHttpOutFiltering(SocketChannel socket, HttpHeader header, Connection con)` test if a socket/header combination is valid or return a new HttpHeader.
`void` | `setup(SProperties properties)` Setup this class with the given properties.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLProxyAuth

    public SQLProxyAuth()

Method Detail

### doHttpInFiltering

    public HttpHeader doHttpInFiltering(SocketChannel socket,
                                        HttpHeader header,
                                        Connection con)

  test if a socket/header combination is valid or return a new HttpHeader. Check that the user has been authenticate.. Check if we want to cache user info...

  Specified by:
    `doHttpInFiltering` in interface `HttpFilter`
  Parameters:
    `socket` - the SocketChannel that made the request.
    `header` - the actual request made.
    `con` - the Connection handling the request.
  Returns:
    null if everything is fine or a HttpHeader describing the error (like a 403).

### doHttpOutFiltering

    public HttpHeader doHttpOutFiltering(SocketChannel socket,
                                         HttpHeader header,
                                         Connection con)

  test if a socket/header combination is valid or return a new HttpHeader.

  Specified by:
    `doHttpOutFiltering` in interface `HttpFilter`
  Parameters:
    `socket` - the Socket that made the request.
    `header` - the actual request made.
    `con` - the Connection handling the request.
  Returns:
    This method always returns null.

### setup

    public void setup(SProperties properties)

  Setup this class with the given properties.

  Specified by:
    `setup` in interface `HttpFilter`
  Parameters:
    `properties` - the new configuration of this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD